
//---------------------------------------------------------------//
/* efectivo */

$(function() {
    $("#btn_efectivo1").click(function(event) {
    event.preventDefault();
    $('#btn_efectivo1').attr("disabled", true);
    $('#ventana2').hide(); 
    $('#ventana_efec').hide();     
    var parametros = $("#form_guia, #form_efectivo_efec").serialize();
     $.ajax({
        type: "POST",
        url: "php_facturar/registrar_venta.php",
        data: parametros,
        beforeSend: function(objeto){
            $('#resultado').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
            $("#resultado").html(datos);
            $('#btn_efectivo1').attr("disabled", false);
            loadTabla();
            loadcliente();
            loadtotal();
            limpiar_campos();
            limpiar_buscador();
            load(1);
            }
        });
    });
});



//---------------------------------------------------------------//

//TRANSFERENCIA
$("#btn_transferencia").click(function(event) {
    var isValid = true;
    $("#form_transferencia select").each(function() {
        if ($(this).val() === "") {
            isValid = false;
        } 
    });

    if (!isValid) {
        return; // Stop form submission
    }

    $('#btn_transferencia').attr("disabled", true);
    $('#ventana2').hide(); 
    $('#ventana_transferencia').hide(); 

    var parametros = $("#form_guia, #form_transferencia").serialize();

    $.ajax({
        type: "POST",
        url: "php_facturar/registrar_venta.php",
        data: parametros,
        beforeSend: function(objeto) {
            $('#resultado').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos) {
            $("#resultado").html(datos);
            $('#btn_transferencia').attr("disabled", false);
            loadTabla();
            loadcliente();
            loadtotal();
            limpiar_campos();
            limpiar_buscador();
            load(1);
        }
    });
    
    event.preventDefault();
});
//---------------------------------------------------------------//

//TARJETA
$("#btn_tarjeta").click(function(event) {

     var isValid = true;
    $("#form_tarjeta select").each(function() {
        if ($(this).val() === "") {
            isValid = false;
        } 
    });

    if (!isValid) {
        return; // Stop form submission
    }



$('#btn_tarjeta').attr("disabled", true);
$('#ventana2').hide(); 
$('#ventana_tarjeta').hide(); 
var parametros = $("#form_guia, #form_tarjeta").serialize();
   $.ajax({
    type: "POST",
    url: "php_facturar/registrar_venta.php",
    data: parametros,
    beforeSend: function(objeto){
        $('#resultado').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
    },
    success: function(datos){
        $("#resultado").html(datos);
        $('#btn_tarjeta').attr("disabled", false);
        loadTabla();
        loadcliente();
        loadtotal();
        limpiar_campos();
        limpiar_buscador();
        load(1);
    }
    });
    event.preventDefault();
})
//---------------------------------------------------------------//

//CREDITO
$("#btn_credito").click(function(event) {

var vencido = document.getElementById("saldo_vencido").value;
var credito_sin_limite = document.getElementById("credito_sin_limite").value;
$('#btn_credito').attr("disabled", true);
if (credito_sin_limite=='no')
{
    if (vencido>0)
    {
        alert('El cliente tiene saldo vencido, no se le puede facturar a credito');
        document.getElementById('abono').focus();
        return false;
    }
}
$('#ventana2').hide(); 
$('#ventana_credito').hide(); 
var parametros = $("#form_guia, #form_credito").serialize();
$.ajax({
    type: "POST",
    url: "php_facturar/registrar_venta.php",
    data: parametros,
    beforeSend: function(objeto){
        $('#resultado').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
    },
    success: function(datos){
        $("#resultado").html(datos);
        $('#btn_credito').attr("disabled", false);
        loadTabla();
        loadcliente();
        loadtotal();
        limpiar_campos();
        limpiar_buscador();
        load(1);
    }
    });
    event.preventDefault();
})
//---------------------------------------------------------------//

/* COMBINADO*/

